package com.xtd.project.assets.mapper;

import java.util.List;
import com.xtd.project.assets.domain.DbAssetsStockAllotEx;

/**
 * 调拨资产Mapper接口
 *
 * @author xtd
 * @date 2020-04-20
 */
public interface DbAssetsStockAllotExMapper
{
    /**
     * 查询调拨资产
     *
     * @param aId 调拨资产ID
     * @return 调拨资产
     */
    public DbAssetsStockAllotEx selectDbAssetsStockAllotExById(Long aId);

    /**
     * 查询调拨资产列表
     *
     * @param dbAssetsStockAllotEx 调拨资产
     * @return 调拨资产集合
     */
    public List<DbAssetsStockAllotEx> selectDbAssetsStockAllotExList(DbAssetsStockAllotEx dbAssetsStockAllotEx);

    /**
     * 新增调拨资产
     *
     * @param dbAssetsStockAllotEx 调拨资产
     * @return 结果
     */
    public int insertDbAssetsStockAllotEx(DbAssetsStockAllotEx dbAssetsStockAllotEx);

    /**
     * 修改调拨资产
     *
     * @param dbAssetsStockAllotEx 调拨资产
     * @return 结果
     */
    public int updateDbAssetsStockAllotEx(DbAssetsStockAllotEx dbAssetsStockAllotEx);

    /**
     * 删除调拨资产
     *
     * @param aId 调拨资产ID
     * @return 结果
     */
    public int deleteDbAssetsStockAllotExById(Long aId);

    /**
     * 批量删除调拨资产
     *
     * @param aIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteDbAssetsStockAllotExByIds(Long[] aIds);

    public int insertlist(List<DbAssetsStockAllotEx> collect);

    public int deleteDbAssetsStockAllotExByAllotId(Long allotId);
}
